## GtkVButtonBox GtkVButtonBox |

## Functions

GtkWidget * | gtk_vbutton_box_new ()
gint | gtk_vbutton_box_get_spacing_default ()
void | gtk_vbutton_box_set_spacing_default ()
GtkButtonBoxStyle | gtk_vbutton_box_get_layout_default ()
void | gtk_vbutton_box_set_layout_default ()

## Types and Values

struct | GtkVButtonBox

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBox
                            ╰── GtkButtonBox
                                ╰── GtkVButtonBox

## Implemented Interfaces

GtkVButtonBox implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Includes

    #include <gtk/gtk.h>

## Description

## Functions

### gtk_vbutton_box_new ()

    GtkWidget *
    gtk_vbutton_box_new (void);

### gtk_vbutton_box_get_spacing_default ()

    gint
    gtk_vbutton_box_get_spacing_default (void);

`gtk_vbutton_box_get_spacing_default` has been deprecated since version 2.0 and should not be used in newly-written code.

Use `gtk_box_get_spacing()` instead.

### gtk_vbutton_box_set_spacing_default ()

    void
    gtk_vbutton_box_set_spacing_default (gint spacing);

`gtk_vbutton_box_set_spacing_default` has been deprecated since version 2.0 and should not be used in newly-written code.

Use `gtk_box_set_spacing()` instead.

### gtk_vbutton_box_get_layout_default ()

    GtkButtonBoxStyle
    gtk_vbutton_box_get_layout_default (void);

`gtk_vbutton_box_get_layout_default` has been deprecated since version 2.0 and should not be used in newly-written code.

Use `gtk_button_box_get_layout()` instead.

### gtk_vbutton_box_set_layout_default ()

    void
    gtk_vbutton_box_set_layout_default (GtkButtonBoxStyle layout);

`gtk_vbutton_box_set_layout_default` has been deprecated since version 2.0 and should not be used in newly-written code.

Use `gtk_button_box_set_layout()` instead.

## Types and Values

### struct GtkVButtonBox

    struct GtkVButtonBox;